package cf.semikolon.teamspeak;

import org.bukkit.plugin.java.JavaPlugin;

/**
 * Created by jan on 25.07.16.
 */
public class MainClass extends JavaPlugin {

    private static MainClass INSTANCE;
    private ServerQuery serverQuery;

    FileSystem cfg = new FileSystem("TeamspekAuth", "config") {
        @Override
        public void initConfig() {
            getCfg().set("tsHost", "127.0.0.1");
            getCfg().set("queryPort", 10011);
            getCfg().set("queryUser", "serveradmin");
            getCfg().set("queryPassword", "password");
            getCfg().set("tsPort", 9987);
            getCfg().set("botNickname", "TeamspeakAuth");
        }
    };

    @Override
    public void onEnable() {
        INSTANCE = this;
        System.out.println("Plugin TeamspeakAuth by Semikolon\nconnecting...");
        serverQuery = new ServerQuery(cfg.getCfg().getString("tsHost"),
                cfg.getCfg().getInt("queryPort"),
                cfg.getCfg().getInt("tsPort"),
                cfg.getCfg().getString("queryUser"),
                cfg.getCfg().getString("queryPassword"),
                cfg.getCfg().getString("botNickname"));


    }

    @Override
    public void onDisable() {

    }

    public static MainClass getInstance() {
        return INSTANCE;
    }
}
